### Phase 2: Build TableTop Challenge Phase 1

Goals:

* Cut out two pieces of Peg Board
* Drill mounting holes for sonar module
* Crimp connectors to cable
* Mount Sonar modules to Robot base
* Plug Sonar modules into breadboard + Arduino
* Develop table top challenge code

Bill of Materials:

* 1  ?in x ?in peg board sonar holders
* 2  Sonar sensors (EBay: HC-SR04 ~$4/2)
* 4  2x8 .1in Female IDC connectors
* 2  12in 8 conductor ribbon cable
* 2  1x4 .1in Male-to-Male Headers
* 4  #4-40 Phillips Pan Head Screws
* 8  #4-40 Hex nuts
* 4  #4 Washers
* 4  #4 internal tooth lock washers
* 2  #6-32 Phillips Pan Head Screws
* 2  #6-32 Hex Nuts
* 4  #6 Washers
* 2  #6 internal tool lock washers
* 1  18" of twine (for a Wyland leash)

Additional Required Tools:

* 1  Benchtop vice

That provides the basic configuration.

## Rechargable Battery Upgrade

This gets rid of the hassle of buying and throwing
away AA batteries.

Bill of Materials:

* 2  7.2V 1300mAh LiPo Battery Packs (Trossen: BAT-7V1300M: $26/2)
* 1  LiPo Battery Charger (Trossen: KIT-CHG-LIPO: ($16+$11)/1)
* 2  Female Deans Connector (TBD)
* 1  DPDT Power Switch (TBD)

## Raspberry Pi Upgrade

The DC-DC convert is rated for 1.5A and can be
plugged into the breadboard.  The ribbon cable
can be assembled with just a vise.  The RasPi
allows 5V to be injected over the cable.  Obviously
the RasPi allows people to start trying out ROS.

Bill of Materials:

* 1 Raspberry Pi Model B 512MB (Newark: $35)
* 1 OKI-78SR-5/1.5-W36: 5V@1.5A DC/DC Switcher (Digikey: $4.30)
* 1 2x13 Female Ribbon Cable Header
* 1 16-conductor chunk of ribbon cable
* 1 2x8 Female Ribbon Cable Header
* 1 1x8 Male to Male pins header pins

## Odometry Upgrade

This upgrade requires some work.

Bill of Materials:

* 2  AS5055 ($10/2)
* 2  AS5055 PCB's
* 2  Appropriate magnet ($2/2)
* 2  GM3 to magnet shaft adaptor

An adaptor from the GM3 to Magnet is needed;
this would be custom made out of some plastic.
In addition a custom PCB is needed to hold
the AS5055 which is a surface mount chip.

## WiFi Upgrade

Something like the GMYLE using the RTL8191SU should
do the trick.  With this it is possible to network
into your robot.  There it may be necessary to have
separate power injection for the Wi-Fi.

Bill of Materials:

*  1 USB WiFi Dongle with decent antenna (Amazon: ~9)

## Camera Upgrade

This RasPi camera has not shipped yet, but it seems
to be nearing the end of prototyping.  A USB camera
is another alternative.

Bill of Materials:

* 1 RasPi Camera (~$25)

## Cheap Arm Upgrade

Bill of Materials:
* 4 Hobby servos (base twist, shoulder, elbow, gripper)
* 1 Gripper (Jameco 358811: $20)
*   Appropriate struts

This is a low payload arm that can lift 10-20 oz max.
